@charset "utf-8";

img {
  width: 90%;
}

.activeListItem {
  background-color: black;
  color:white
}

.inactiveListItem {
  background-color: darkgrey;
  color:lightgrey
}

input[type="text"]{ 
  padding: 0.1em; 
  line-height: 3em; 
  border-radius: 7px;
}

button {
  min-width: 4em;
  height: 3.5em;
  background: #093f88;
  border: 1px solid #00325d;
  color: white;
  border-radius: 7px;
  min-width: 20em;
}

button:disabled {
  background-color: lightgrey;
  color: darkgrey;
  border-color: lightgrey;
}

button:hover {
  border-color: lightgray;
}

.flex-column {
  display: flex;
  flex-direction: column;
  padding: 10px;
}

.flex-column > * {
  margin-top: 10px;
}

/* Custom Global Settings */
html {
  
  height: 100%;
}

body{
  height:100%;
}

.table-container {
  -webkit-overflow-scrolling: touch;
  overflow: auto;
  max-width: 100%;
}

.table td,
.table th {
  vertical-align: middle;
}

/* Custom Classes */

#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  height: 100%;
  width: 100%;
}

.has-background-transparent {
  background-color: rgba(255, 255, 255, 0.1);
}

.is-right-0{
  right:0
}

.is-left-0{
  left:0
}

.is-absolute{
    position: absolute;
}

.is-z-2 {
    z-index: 2;
}

.is-full-vh {
  height: 100vh;
}

.is-full-height {
  height: 100%;
}

.is-half-height {
  width: 50%;
}

.is-third-height {
  width: 33%;
}

.is-quarter-height {
  width: 25%;
}

.is-full-width {
  width: 100%;
}

.is-half-width {
  width: 50%;
}

.is-third-width {
  width:33%;
}

.is-quarter-width {
  width: 25%;
}

.is-navbar-high {
  height: 9%;
}

.is-routerview-high {
  height: 88%;
}

.is-footer-high {
  height: 3%;
}

.is-over-line {
  z-index: 2;
}

.is-float-left{
  float: left;
}

.is-float-right{
  float: right;
}

.is-float-center{
  float: center;
}

.is-overflow-scroll{
  overflow: scroll;
}

.is-overflow-y-scroll{
  overflow-y: scroll;
}

.is-overflow-x-scroll{
  overflow-x: scroll;
}

.is-grabbable {
  cursor: move; /* fallback if grab cursor is unsupported */
  cursor: grab;
  cursor: -moz-grab;
  cursor: -webkit-grab;
}

.is-sticky {
  position: sticky;
}

.autocomplete-result-container{ // used inside of AddDing for vue3-autocomplete-component overwrites
  position: relative;
  z-index: 999;
  //margin-top: 2.5em;
  border: 1px solid darkgrey;
  background: rgba(225, 225, 225,0.8);
}

.green-on-hover:hover{ // used inside of AddDing for vue3-autocomplete-component overwrites
  background-color: rgba(212, 224, 207, 0.8);
}

.search-results {
  height: 70%;
  overflow: scroll;
}

.search-results-tags {
  max-height: 30%;
  overflow: scroll;
  background-color: rgb(233, 232, 232);
}

.tab-bar:before {
  position: absolute;
  content:" ";
  width: 100%;
  border-top: 1px solid black;
  bottom: 7vh
}

.tab-bar {
  position: absolute;
  bottom: 0;
  height: 7vh;
  width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
  align-items: center;
  background-color: whitesmoke;
}

.backbutton {
  position: fixed;
  top: 1rem;
  left: 1rem;
  z-index: 99;
}

.camera-icon{
  background-color: rgba($color: #575555, $alpha: 1.0);
  border-radius: 13%;
}

.gallery{
  width: 100vw;
  max-height: 50vh;
}

.add-photos-button{
  top: 20%;
  width: 100vw;
  height: 50vh;
}

.add-photos-button button{
  max-height: 2rem;
}

.broad-input{
  max-width: 85%;
}

.micromap{
  height: 10vh;
  width: 100%;
}

input[type="file"] {
  display: none;
}

.custom-file-upload{
  border: 1px solid #ccc;
  display: inline-block;
  padding: 6px 12px;
  cursor: pointer;
}
